package com.kym.service;

import com.kym.entity.SplitRecord;
import com.kym.entity.common.PageBean;
import com.kym.entity.queryParams.SplitRecordQueryParams;
import com.kym.entity.vo.SplitRecordVo;
import com.kym.service.mybatisplus.MyBaseService;

import java.time.LocalDate;
import java.util.Map;

/**
 * <p>
 * 平台分账记录表 服务类
 * </p>
 *
 * @author skyline
 * @since 2025-02-24
 */
public interface SplitRecordService extends MyBaseService<SplitRecord> {
    PageBean<SplitRecordVo> listSplitRecords(SplitRecordQueryParams params);

    Map<String, Integer> sumDailyIncome(LocalDate yesterday, Boolean... isCross);

    Map<String, Integer> sumMonthIncome(LocalDate statDay, Boolean... isCross);

    Map<String, Integer> sumDailyExpend(LocalDate statDay, Boolean... isCross);

    Map<String, Integer> sumMonthExpend(LocalDate statDay, Boolean... isCross);
}
